# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInvalidateUnreferencedPositions

Function

Determines which positions in the Fields of the input Object are not referenced by any connections, faces, or polylines element and then invalidates them.

Syntax
`
#include <dx/dx.h>
`

Object DXInvalidateUnreferencedPositions(Object object)

Functional Details

Positions referenced by invalid connection elements (as determined from the contents of an "invalid" connections, faces, or polylines component) are considered to be unreferenced.

Positions are invalidated by use of the "invalid positions" component. If that component does not already exist, one is created.

To remove the invalidated positions, use `DXCull`.

Return Value

Returns the updated Object or returns `NULL` and sets an error code.

See Also

`DXCull, DXInvalidateConnections`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]